Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::script_node::set_url_listener_t Class Reference

`set_url` event listener. More...

`#include <openvrml/script.h>`

Inheritance diagram for openvrml::script_node::set_url_listener_t:
[legend]

List of all members.

## Public Member Functions

| set_url_listener_t (script_node &node)
| Construct.
virtual | ~set_url_listener_t () throw ()
| Destroy.

## Private Member Functions

virtual const std::string | do_eventin_id () const throw ()
| Get the `eventIn` identifier.
virtual void | do_process_event (const mfstring &value, double timestamp) throw ( std::bad_alloc )
| Process an event.

## Detailed Description

`set_url` event listener.

For internal use only.

## Constructor & Destructor Documentation

openvrml::script_node::set_url_listener_t::set_url_listener_t | ( | script_node & | node | ) | `[explicit]`

Construct.

Parameters:

  `[in]` | node | a reference to the containing `script_node`.

openvrml::script_node::set_url_listener_t::~set_url_listener_t | ( |  | ) | throw ()`[virtual]`

Destroy.

## Member Function Documentation

const std::string openvrml::script_node::set_url_listener_t::do_eventin_id | ( |  | ) | const throw ()`[private, virtual]`

Get the `eventIn` identifier.

Returns:
  the `eventIn` identifier.

Implements openvrml::node_event_listener.

void openvrml::script_node::set_url_listener_t::do_process_event | ( | const mfstring & | value,
|  | double | timestamp |
| ) |  |  | throw ( std::bad_alloc )`[private, virtual]`

Process an event.

Parameters:

  `[in]` | value | new `url` value.
  `[in]` | timestamp | the current time.

Exceptions:

  | std::bad_alloc | if memory allocation fails.